Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the devel-nytprof CPAN distribution.

Report information
The Basics
Id: 40679
Status: resolved
Priority: 0/
Queue: devel-nytprof

People
Owner: Nobody in particular
Requestors: HMNIELSEN [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 2.07
Fixed in: (no value)



Download (untitled) / with headers
text/plain 787b
After downloading/installing Devel::NYTProf v. 2.07 through PPM for my ActivePerl build 820 (perl v5.8.8) I try to run the profiler with perl -d:NYTProf test.pl I then get a message box with this text perl.exe - Entry Point Not Found The procedure entry point Perl_hv_common_key_len could not be located in the dynamic link library perl58.dll and this error Can't load 'C:/Perl/site/lib/Devel/auto/Devel/NYTProf/NYTProf.dll' for module Devel::NYTProf: load_file:The specified procedure could not be found at C:/Perl/lib/XSLoader.pm line 70. at C:/Perl/site/lib/Devel/NYTProf/Core.pm line 19 Compilation failed in require at C:/Perl/site/lib/Devel/NYTProf.pm line 35. Compilation failed in require. BEGIN failed--compilation aborted. and I cannot get any further with this :-)
Subject: Re: [rt.cpan.org #40679]
Date: Wed, 5 Nov 2008 12:52:08 +0000
To: HMNIELSEN via RT <bug-devel-nytprof [...] rt.cpan.org>
From: Tim Bunce <Tim.Bunce [...] pobox.com>
Download (untitled) / with headers
text/plain 1.4k
http://www.perlmonks.org/?node_id=718264 seems applicable here: "so you've got a version of something for perl-5.10.0 trying to be loaded by perl-5.8.8, which can't work" Please investigate. Tim. On Wed, Nov 05, 2008 at 05:43:48AM -0500, HMNIELSEN via RT wrote: Show quoted text
> Wed Nov 05 05:43:46 2008: Request 40679 was acted upon. > Transaction: Ticket created by HMNIELSEN > Queue: devel-nytprof > Subject: (No subject given) > Broken in: 2.07 > Severity: Important > Owner: Nobody > Requestors: HMNIELSEN@cpan.org > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=40679 > > > > After downloading/installing Devel::NYTProf v. 2.07 through PPM for my > ActivePerl build 820 (perl v5.8.8) I try to run the profiler with > > perl -d:NYTProf test.pl > > I then get a message box with this text > > perl.exe - Entry Point Not Found > The procedure entry point Perl_hv_common_key_len could not be located > in the dynamic link library perl58.dll > > and this error > > Can't load 'C:/Perl/site/lib/Devel/auto/Devel/NYTProf/NYTProf.dll' for > module Devel::NYTProf: load_file:The specified procedure could not be > found at C:/Perl/lib/XSLoader.pm line 70. > at C:/Perl/site/lib/Devel/NYTProf/Core.pm line 19 > Compilation failed in require at C:/Perl/site/lib/Devel/NYTProf.pm line > 35. > Compilation failed in require. > BEGIN failed--compilation aborted. > > and I cannot get any further with this :-)
Download (untitled) / with headers
text/plain 377b
Ah, that would explain it. Then it must be an error regarding the PPD repository (the package is probably marked as being available for 5.8). It appears I found it on Trouchelle (http://trouchelle.com/ppm/package.xml) which claims that MSWin32-x86- multi-thread-5.8/Devel-NYTProf-2.07.zip is compiled for ... MSWin32-x86- multi-thread-5.8. I'll contact them shortly. Sorry.
Subject: Re: [rt.cpan.org #40679]
Date: Tue, 18 Nov 2008 11:08:50 +0000
To: HMNIELSEN via RT <bug-devel-nytprof [...] rt.cpan.org>
From: Tim Bunce <Tim.Bunce [...] pobox.com>
Download (untitled) / with headers
text/plain 482b
Any news? Tim. On Wed, Nov 05, 2008 at 08:35:28AM -0500, HMNIELSEN via RT wrote: Show quoted text
> > Ah, that would explain it. Then it must be an error regarding the PPD > repository (the package is probably marked as being available for 5.8). > > It appears I found it on Trouchelle > (http://trouchelle.com/ppm/package.xml) which claims that MSWin32-x86- > multi-thread-5.8/Devel-NYTProf-2.07.zip is compiled for ... MSWin32-x86- > multi-thread-5.8. I'll contact them shortly. > > Sorry.
Download (untitled) / with headers
text/plain 310b
Due to unrelated issues I never got around to contacting the trouchelle repository. Today I uninstalled the package through PPM and installed it again. This time I installed it from the ActiveState 5.8 repository and it works brilliantly. Again, thank you for your help - and all of you for a great module.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.